package jcg.zheng.demo;

import org.apache.log4j.Logger;

import jcg.zheng.demo.util.DemoModel;

public class Log4j1_Demo {

	private static final Logger LOG = Logger.getLogger(Log4j1_Demo.class);

	public static void main(String[] args) {
		Log4j1_Demo demo = new Log4j1_Demo();
		demo.step1(DemoModel.createDummy());

	}

	public void step1(DemoModel model) {
		if (LOG.isTraceEnabled()) {
			LOG.trace("Start step1 for " + model.toString());
		}

		if (LOG.isDebugEnabled()) {
			LOG.debug("Start step1 for  " + model.toString());
		}

		if (LOG.isInfoEnabled()) {
			LOG.info("Start step1" + model.toString());
		}

		LOG.warn("Start step1" + model.toString());
		LOG.error("Start step1" + model.toString());
		LOG.fatal("Start step1" + model.toString());
	}

}
