package jcg.zheng.demo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import jcg.zheng.demo.util.DemoModel;

public class Logback_Demo {

	private final Logger lOG = LoggerFactory.getLogger(this.getClass());

	public static void main(String[] args) {
		Logback_Demo demo = new Logback_Demo();
		demo.step1(DemoModel.createDummy());

	}

	public void step1(DemoModel model) {

		if (lOG.isTraceEnabled()) {
			lOG.trace("Start step1 for {}", model.toString());
		}

		if (lOG.isDebugEnabled()) {
			lOG.debug("Start step1 for {}", model.toString());
		}

		if (lOG.isInfoEnabled()) {
			lOG.info("Start step1 {}", model.toString());
		}

		if (lOG.isWarnEnabled()) {
			lOG.warn("Start step1 {}", model.toString());
		}

		if (lOG.isErrorEnabled()) {
			lOG.error("Start step1 {}", model.toString());
		}
	}

}
